Failure to create HVM DomU at Xen 4.1 ( kernel 3.0.0-5-generic)

Bug #811951 reported by Boris Derzhavets
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xen (Ubuntu)
Fix Released
Undecided
Boris Derzhavets

Bug Description

root@boris-P5Q-E:/mnt/usr/tmp# losetup -f ubuntu11.04.iso
root@boris-P5Q-E:/mnt/usr/tmp# losetup -a
/dev/loop0: [0809]:406494 (/mnt/usr/tmp/ubuntu11.04.iso)

root@boris-P5Q-E:~/vms/natty# cat natty.hvm
name = "NattyHVM"
builder = "hvm"
memory = "2048"
disk = ['phy:/dev/sda5,hda,w', 'phy:/dev/loop0,hdc:cdrom,r']
vif = [ 'type=ioemu,bridge=br0' ]
device_model = "/usr/lib/xen-4.1/bin/qemu-dm"
kernel = "/usr/lib/xen-4.1/boot/hvmloader"
vnc=1
boot="d"
usb=1
usbdevice="tablet"
serial = "pty" # enable serial console
on_reboot = 'restart'
on_crash = 'restart'

root@boris-P5Q-E:~/vms/natty# xl create natty.hvm
Parsing config file natty.hvm
xc: info: VIRTUAL MEMORY ARRANGEMENT:
  Loader: 0000000000100000->000000000017b150
  TOTAL: 0000000000000000->000000007f800000
  ENTRY ADDRESS: 0000000000101580
xc: info: PHYSICAL MEMORY ALLOCATION:
  4KB PAGES: 0x0000000000000200
  2MB PAGES: 0x00000000000003fb
  1GB PAGES: 0x0000000000000000
libxl: error: libxl_device.c:476:libxl__wait_for_device_model Device Model not ready
xl: fatal error: libxl_create.c:535, rc=-1: libxl__confirm_device_model_startup

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :

The most recent feedback on xen-devel :

Re: [Xen-devel] Failure to create HVM DomU at Xen 4.1 ( kernel 3.0.0-5-generic) Ubuntu 11.10 (alpha 2)
Sunday, July 17, 2011 3:47 PM
From:
"jim burns" <email address hidden> To: <email address hidden>, <email address hidden>

According to several threads, such as mine last month - '[Xen-users]
Working with Fedora 15 & systemd' - and '[Xen-users] Problems
with HVM after upgrade from 4.0.1 to 4.1.1', and a private communication with
t.wagner in '[Xen-users] XEN-4.1.1 and linux kernel 3.0-rc5', and finally
'[Xen-users] Re: Trouble starting HVM domU with Linux 3.0.0 and Xen 4.1.1',

hvm & xen 4.1.x don't mix, either with kernel 3.0.0, or pvops 2.6.32 (which
was working with xen 4.0.2 prior to upgrading from fedora 14 to f15, and xen
4.1. In the last thread mentioned above, the solution was to upgrade to xen
4.2 unstable. My equally effective solution was to downgrade to xen 4.0.2,
since fedora rawhide doesn't have 4.2 yet.

Sorry for the top post - I'm not subscribed, but I thought the summary was
worth posting.

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :

I've build from source Xen 4.2 Unstable and installed on Ubuntu 11.10 (07/17/11 daily build).
I've got same results as written above. The only way get HVM working ( VFB for PV DomUs)
is to upgrade to Xen 4.2 Unstable.

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :

Maybe downgrade to Xen 4.0.2 ( after testing) and packaging Xen 4.0.2 would be reasonable solution for now.
In other words, it's too early to upgrade to xl/libxl tools stack at the moment for systems going to work in
production environment.
VFB (PV DomUs) and HVM VNC Console behave under Xen 4.2 Unstable ( on my boxes) pretty unstable.

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :
Revision history for this message
Boris Derzhavets (bderzhavets) wrote :
Download full text (3.5 KiB)

I installed keymaps on the box with stock Xen 4.1
in expected by xen location /usr/share/qemu/keymaps

root@boris-P5Q-E:/usr/share/qemu-linaro/keymaps# ls
ar de en-us fi fr-be hr it lv nl pl ru th
common de-ch es fo fr-ca hu ja mk nl-be pt sl tr
da en-gb et fr fr-ch is lt modifiers no pt-br sv
root@boris-P5Q-E:/usr/share/qemu-linaro/keymaps# cd ../../
root@boris-P5Q-E:/usr/share# mkdir qemu
root@boris-P5Q-E:/usr/share# cd qemu

**********************************
Create directory as required by Xen
**********************************

root@boris-P5Q-E:/usr/share/qemu# mkdir keymaps
root@boris-P5Q-E:/usr/share/qemu# cd keymaps
root@boris-P5Q-E:/usr/share/qemu/keymaps# pwd
/usr/share/qemu/keymaps
root@boris-P5Q-E:/usr/share/qemu/keymaps# cp /usr/share/qemu-linaro/keymaps/* .

Not sure it was quite correct action, but it changes "xl" behavior
HVM - log file follows bellow

*************************************************************
1. Attempt to start HVM report ( submitted to Stefano Stabelini)
*************************************************************

Keymaps installed

Now:

root@boris-P5Q-E:~/vms/natty# xl create f14.hvm
Parsing config file f14.hvm
xc: info: VIRTUAL MEMORY ARRANGEMENT:
  Loader: 0000000000100000->000000000017b150
  TOTAL: 0000000000000000->000000007f800000
  ENTRY ADDRESS: 0000000000101580
xc: info: PHYSICAL MEMORY ALLOCATION:
  4KB PAGES: 0x0000000000000200
  2MB PAGES: 0x00000000000003fb
  1GB PAGES: 0x0000000000000000
Daemon running with PID 32668
root@boris-P5Q-E:~/vms/natty# vncviewer localhost:0

VNC Viewer Free Edition 4.1.1 for X - built Apr 9 2010 18:41:55
Copyright (C) 2002-2005 RealVNC Ltd.
See http://www.realvnc.com for information on VNC.

Mon Jul 18 17:36:33 2011
 main: unable to connect to host: Connection refused (111)

LOG FILE :-

root@boris-P5Q-E:/var/log/xen# cat qemu-dm-F14HVM.log
domid: 236
-videoram option does not work with cirrus vga device model. Videoram set to 4M.
Using file /dev/sda5 in read-write mode
Using file /dev/loop0 in read-only mode
Watching /local/domain/0/device-model/236/logdirty/cmd
Watching /local/domain/0/device-model/236/command
Watching /local/domain/236/cpu
char device redirected to /dev/pts/3
qemu_map_cache_init nr_buckets = 10000 size 4194304
shared page at pfn feffd
buffered io page at pfn feffb
Guest uuid = b5a57be5-1097-4021-b3a7-56133c229c16
populating video RAM at ff000000
mapping video RAM from ff000000
Register xen platform.
Done register platform.
platform_fixed_ioport: changed ro/rw state of ROM memory area. now is rw state.
xs_read(/local/domain/0/device-model/236/xen_extended_power_mgmt): read error
xs_read(): vncpasswd get error. /vm/b5a57be5-1097-4021-b3a7-56133c229c16/vncpasswd.
medium change watch on `hdc' (index: 1): /dev/loop0
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
Log-dirty: no command yet.
vcpu-set: watch node error.
xs_read(/local/domain/236/log-throttling): read error
qemu: ignoring not-understood drive `/local/domain/236/log-throttling'
medium change watch on `/local/domain/236/log-throttling' - unknown device, ignored

***...

Read more...

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :
Revision history for this message
Boris Derzhavets (bderzhavets) wrote :

Just for now. In your system only one file is affected. It is /usr/lib/xen-4.1/boot/hvmloader
It may be replaced by another one ( works for me)

Install al packages required for build xen from source

http://aethylred.blogspot.com/2011/05/xen-41-and-ubuntu-1104.html

# hg clone http://xenbits.xen.org/hg/xen-unstable.hg/
# cd ./xen-unstable.hg
# make xen;make tools
# cp ./dist/install/usr/lib/xen/boot/hvmloader /usr/lib/xen-4.1/boot/

You completely functional system

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :

You have completely functional system

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :
Revision history for this message
Boris Derzhavets (bderzhavets) wrote :

Attempt to apply :

Failure:-
boris@boris-System-P5Q3:~/HVM/xen-4.1.0$ patch -p1 -s -i ../changeset-23104.patch
1 out of 1 hunk FAILED -- saving rejects to file tools/firmware/hvmloader/hypercall.h.rej

Patch applied cleanly :-
boris@boris-System-P5Q3:~/HVM/xen-4.1.0$ cd ../xen-4.1.1
boris@boris-System-P5Q3:~/HVM/xen-4.1.1$ patch -p1 -s -i ../changeset-23104.patch

I believe Release 4.1.1 is required for packaging Xen with hvmloader, which may be built with gcc 4.6

Changed in xen (Ubuntu):
assignee: nobody → Boris Derzhavets (bderzhavets)
status: New → In Progress
Revision history for this message
Boris Derzhavets (bderzhavets) wrote :

Workaround
Download xen-4.1.1.tar.gz. Extract , apply http://xenbits.xen.org/hg/xen-4.1-testing.hg/rev/5199c4f6bfab ( raw content)
and build. Pick up "hvmloader" and replace /usr/lib/xen-4.1/boot/hvmloader by new one.

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :

Buid environment should have gcc-multilib ( Oneiric)

Revision history for this message
Boris Derzhavets (bderzhavets) wrote :
Changed in xen (Ubuntu):
status: In Progress → Fix Committed
Chuck Short (zulcss)
Changed in xen (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Kloana (kloana) wrote :

Sorry in Oneiric with 4.1.1-2ubuntu2 the problem still exists.

qemu keymaps can't been loaded, when a hvm domU try to start.

the keymaps are expected in /usr/share/qemu/keymaps. But the folder /usr/share/qemu does not exist. instead /usr/share/qemu-linaro/keymaps exists. When i do a symlink from /usr/share/qemu-linaro to /usr/share/qemu, the HVM domU starts without any problems.

Thanks.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers